Skip to main content
POST
https://example.com
/
api
/
auth
/
sign-in
/
email
cURL
curl --request POST \
  --url https://example.com/api/auth/sign-in/email \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "password": "<string>"
}
'
{
  "redirect": false,
  "token": "<string>",
  "user": {
    "createdAt": "Generated at runtime",
    "email": "<string>",
    "name": "<string>",
    "updatedAt": "Generated at runtime",
    "banExpires": "2023-11-07T05:31:56Z",
    "banReason": "<string>",
    "banned": false,
    "emailVerified": false,
    "id": "<string>",
    "image": "<string>",
    "role": "<string>"
  },
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
email
string
required

Email of the user

password
string
required

Password of the user

callbackURL
string | null

Callback URL to use as a redirect for email verification

rememberMe
boolean | null
default:true

If this is false, the session will not be remembered. Default is true.

Response

Success - Returns either session details or redirect URL

Session response when idToken is provided

redirect
enum<boolean>
required
Available options:
false
token
string
required

Session token

user
object
required
url
string | null